Bug 8723 - Can't get past 'Must turn on swap immediately' message
Summary: Can't get past 'Must turn on swap immediately' message
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-21 19:25 UTC by Tim Waugh
Modified: 2015-01-07 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 17:41:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that fixed it for me (386 bytes, patch)
2000-01-23 19:46 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2000-01-21 19:25:57 UTC
Graphical installer.
On a machine with 16Mb, after Disk Druid I get a message saying 'As you
don't have much memory in this machine, we need to turn on swap space
immediately. To do this we'll have to write your new partition table to the
disk immediately.  Is that okay?'.  Pressing OK just returns me to Disk
Druid.  On VT1:

Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/gtk.py", line 128, in __call__
    ret = apply(self.func, a)
  File "/usr/lib/anaconda/gui.py", line 331, in nextClicked
    next = self.currentScreen.getNext ()
  File "/usr/lib/anaconda/iw/rootpartition.py", line 79, in getNext
    if not self.checkSwap ():
  File "/usr/lib/anaconda/iw/rootpartition.py", line 53, in checkSwap
    self.fstab.savePartitions()
AttributeError: fstab

Comment 1 Tim Waugh 2000-01-23 19:46:59 UTC
Created attachment 75 [details]
Patch that fixed it for me

Comment 2 Erik Troan 2000-02-03 16:33:59 UTC
Fixed in beta 3


Note You need to log in before you can comment on or make changes to this bug.